Bug 23730 - Debugger Window | Variables cannot deeply nested variables names
Debugger Window | Variables cannot deeply nested variables names
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
3.x
PC OS/2
: P4 (vote)
: TBD
Assigned To: issues@debugger
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 07:58 UTC by _ gtzabari
Modified: 2013-01-22 04:11 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Notice the variable names are cut off (85.22 KB, image/gif)
2002-05-19 08:01 UTC, _ gtzabari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2002-05-19 07:58:29 UTC
dev build 200205030100

Say I want to view variable

Array1.Array2.Array3.Element1 (etc)

     Where the variable is nested within many
other variables; your new UI handles this case
very poorly as the variable name is cut off (see
screenshot) by the value field. The variable name
should always be visible.
Comment 1 _ gtzabari 2002-05-19 08:01:02 UTC
Created attachment 5842 [details]
Notice the variable names are cut off
Comment 2 Marek Grummich 2002-07-22 09:01:46 UTC
Target milestone was changed from '3.4' to TBD.
Comment 3 Marek Grummich 2002-07-22 09:05:46 UTC
Target milestone was changed from '3.4' to TBD.
Comment 4 lkishalmi 2004-09-21 14:34:18 UTC
I think this issue has been solved indirectly by NB 4.0
Comment 5 Quality Engineering 2010-04-29 09:10:17 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo